.user-hints {
	display: flex;
	flex-direction: column;
	height: 620px;
}

.user-hints .top, .user-hints .bottom {
	overflow: auto;
	justify-content: flex-start
}

.user-hints .top {
	max-height: 50%;
}

.user-hints .bottom {
	max-height: 50%;
}

.ajax-loader-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-color: grey;
  opacity: .8;
}

.ajax-loader-spinner {
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -32px; /* -1 * image width / 2 */
  margin-top: -32px; /* -1 * image height / 2 */
  z-index: 1000;
  display: block;
}